package com.lz.modules.luck.entity;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*中奖记录
* @author quyixiao
* @since 2020-08-21
*/


public class LuckRecordReq implements java.io.Serializable {
  

    private Long id;
    //姓名
    private String name;
    private String mobile;
    //是否中将 0为中将 1中将
    private Integer isLuck;
    //权重，或者排序
    private Integer weight;
    //活动类型
    private Long luckId;
    //奖品名称
    private String goodsName;
    //奖品ID，目前不设置ID了
    private Long goodsId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 姓名 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 姓名 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    /**
     * 是否中将 0为中将 1中将 
     * @return
     */
    public Integer getIsLuck() {
        return isLuck;
    }
    /**
     * 是否中将 0为中将 1中将 
     * @param isLuck
     */
    public void setIsLuck(Integer isLuck) {
        this.isLuck = isLuck;
    }

    /**
     * 权重，或者排序 
     * @return
     */
    public Integer getWeight() {
        return weight;
    }
    /**
     * 权重，或者排序 
     * @param weight
     */
    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    /**
     * 活动类型 
     * @return
     */
    public Long getLuckId() {
        return luckId;
    }
    /**
     * 活动类型 
     * @param luckId
     */
    public void setLuckId(Long luckId) {
        this.luckId = luckId;
    }

    /**
     * 奖品名称 
     * @return
     */
    public String getGoodsName() {
        return goodsName;
    }
    /**
     * 奖品名称 
     * @param goodsName
     */
    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    /**
     * 奖品ID，目前不设置ID了 
     * @return
     */
    public Long getGoodsId() {
        return goodsId;
    }
    /**
     * 奖品ID，目前不设置ID了 
     * @param goodsId
     */
    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }



    @Override
    public String toString() {
        return "LuckRecord{" +
                ",id=" + id +
                ",name=" + name +
                ",name=" + mobile +
                ",isLuck=" + isLuck +
                ",weight=" + weight +
                ",luckId=" + luckId +
                ",goodsName=" + goodsName +
                ",goodsId=" + goodsId +
                "}";
    }
}